### Hierarchy

- unknown
  - GetCryptoCurrencyPaymentMethodsReply

## Index

### Constructors

- constructor

### Methods

- addPaymentMethods
- clearPaymentMethodsList
- getPaymentMethodsList
- serializeBinary
- setPaymentMethodsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetCryptoCurrencyPaymentMethodsReply(): GetCryptoCurrencyPaymentMethodsReply

- Inherited from jspb.Message.constructor

  #### Returns GetCryptoCurrencyPaymentMethodsReply

## Methods

### addPaymentMethods

- addPaymentMethods(value?: PaymentMethod, index?: number): PaymentMethod

- - Defined in src/protobuf/grpc_pb.d.ts:1981

  #### Parameters

  - ##### Optional value: PaymentMethod

  - ##### Optional index: number

  #### Returns PaymentMethod

### clearPaymentMethodsList

- clearPaymentMethodsList(): GetCryptoCurrencyPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1980

  #### Returns GetCryptoCurrencyPaymentMethodsReply

### getPaymentMethodsList

- getPaymentMethodsList(): PaymentMethod []

- - Defined in src/protobuf/grpc_pb.d.ts:1978

  #### Returns PaymentMethod []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1983

  #### Returns Uint8Array

### setPaymentMethodsList

- setPaymentMethodsList(value: PaymentMethod []): GetCryptoCurrencyPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1979

  #### Parameters

  - ##### value: PaymentMethod []

  #### Returns GetCryptoCurrencyPaymentMethodsReply

### toObject

- toObject(includeInstance?: boolean): GetCryptoCurrencyPaymentMethodsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1984

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetCryptoCurrencyPaymentMethodsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetCryptoCurrencyPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1987

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetCryptoCurrencyPaymentMethodsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetCryptoCurrencyPaymentMethodsReply, reader: BinaryReader): GetCryptoCurrencyPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1988

  #### Parameters

  - ##### message: GetCryptoCurrencyPaymentMethodsReply

  - ##### reader: BinaryReader

  #### Returns GetCryptoCurrencyPaymentMethodsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetCryptoCurrencyPaymentMethodsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1986

  #### Parameters

  - ##### message: GetCryptoCurrencyPaymentMethodsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetCryptoCurrencyPaymentMethodsReply ): GetCryptoCurrencyPaymentMethodsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1985

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetCryptoCurrencyPaymentMethodsReply

  #### Returns GetCryptoCurrencyPaymentMethodsReply . AsObject

Generated using TypeDoc